Skip to navigation

Create Job Result

View as Markdown
Create a new result for a job.

Path parameters

jobstringRequired
namestringRequired
workspacestringRequired

Request

This endpoint expects an object.
attempt_idstringRequired
Concrete ID of the attempt that produced the result
artifact_urlstringRequired
artifact_storage_typeenumRequired
Allowed values:

Response

Successful Response
namestring
jobstring
workspacestring
artifact_urlstring
artifact_storage_typeenum
Allowed values:
projectstringOptional
attempt_idstringOptional
created_atdatetimeOptional
updated_atdatetimeOptional
download_urlstringOptional

Errors

404
Not Found Error
422
Unprocessable Entity Error